Bug 56764 - Unbreak fetch: www/jakarta-tomcat5
Summary: Unbreak fetch: www/jakarta-tomcat5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ernst de Haan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-09-14 06:20 UTC by sada
Modified: 2003-09-25 09:59 UTC (History)
0 users

See Also:


Attachments
file.diff (6.33 KB, patch)
2003-09-14 06:20 UTC, sada
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description sada 2003-09-14 06:20:12 UTC
	www/jakarta-tomcat5 couldn't fetch since version 5.0.10 tarball
	is no longer available. It should be updated to version 5.0.11.

Fix: This also avoids pkg-delete time warnings.
How-To-Repeat: 
	make install
Comment 1 Ernst de Haan freebsd_committer 2003-09-15 11:04:28 UTC
Maintainer, please approve or disapprove this PR:

http://www.freebsd.org/cgi/query-pr.cgi?pr=56764

Ernst
Comment 2 Kang Liu 2003-09-15 11:18:19 UTC
maintainer approved.
Thanks. :-)

-----Original Message-----
From: Ernst de Haan [mailto:znerd@FreeBSD.org] 
Sent: Monday, September 15, 2003 6:04 PM
To: liukang@bjpu.edu.cn
Cc: SADA Kenji; FreeBSD-gnats-submit@FreeBSD.org
Subject: Re: ports/56764: Unbreak fetch: www/jakarta-tomcat5


Maintainer, please approve or disapprove this PR:

http://www.freebsd.org/cgi/query-pr.cgi?pr=56764

Ernst
Comment 3 Kang Liu 2003-09-16 12:25:01 UTC
Here is another patch which can update tomcat5 to 5.0.12

Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/www/jakarta-tomcat5/distinfo,v
retrieving revision 1.2
diff -u -r1.2 distinfo
--- distinfo	8 Sep 2003 14:12:22 -0000	1.2
+++ distinfo	16 Sep 2003 11:23:57 -0000
@@ -1 +1 @@
-MD5 (jakarta-tomcat-5.0.10.tar.gz) = 691fa83783bcd95b433b8699221724c5
+MD5 (jakarta-tomcat-5.0.12.tar.gz) = f74f15c7b5b6b0c80d4ac42c82c6e075
Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/www/jakarta-tomcat5/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- Makefile	8 Sep 2003 14:12:22 -0000	1.2
+++ Makefile	16 Sep 2003 11:24:00 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	jakarta-tomcat
-PORTVERSION=	5.0.10
+PORTVERSION=	5.0.12
 CATEGORIES=	www java
 MASTER_SITES=	http://www.apache.org/dist/jakarta/tomcat-5/v${PORTVERSION}-alpha/bin/
 
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/www/jakarta-tomcat5/pkg-plist,v
retrieving revision 1.2
diff -u -r1.2 pkg-plist
--- pkg-plist	8 Sep 2003 14:12:22 -0000	1.2
+++ pkg-plist	16 Sep 2003 11:24:25 -0000
@@ -9,6 +9,7 @@
 %%T%%/bin/catalina.xml
 %%T%%/bin/commons-daemon.jar
 %%T%%/bin/commons-launcher.jar
+%%T%%/bin/commons-logging-api.jar
 %%T%%/bin/digest.sh
 %%T%%/bin/jsvc.tar.gz
 %%T%%/bin/launcher.properties
@@ -19,13 +20,14 @@
 %%T%%/bin/startup.sh
 %%T%%/bin/tool-wrapper-using-launcher.sh
 %%T%%/bin/tool-wrapper.sh
+@exec mkdir %D/%%T%%/common || true
+@exec mkdir %D/%%T%%/common/classes || true
 %%T%%/common/endorsed/xercesImpl.jar
 %%T%%/common/endorsed/xmlParserAPIs.jar
 %%T%%/common/lib/ant.jar
 %%T%%/common/lib/commons-collections.jar
 %%T%%/common/lib/commons-dbcp.jar
 %%T%%/common/lib/commons-el.jar
-%%T%%/common/lib/commons-logging-api.jar
 %%T%%/common/lib/commons-pool.jar
 %%T%%/common/lib/jasper-compiler.jar
 %%T%%/common/lib/jasper-runtime.jar
@@ -47,6 +49,8 @@
 %%T%%/conf/web.xml
 %%T%%/logs/stderr.log
 %%T%%/logs/stdout.log
+@exec mkdir %D/%%T%%/server || true
+@exec mkdir %D/%%T%%/server/classes || true
 %%T%%/server/lib/catalina-ant.jar
 %%T%%/server/lib/catalina-cluster.jar
 %%T%%/server/lib/catalina-i18n-es.jar
@@ -57,9 +61,8 @@
 %%T%%/server/lib/commons-beanutils.jar
 %%T%%/server/lib/commons-digester.jar
 %%T%%/server/lib/commons-fileupload-1.0.jar
-%%T%%/server/lib/commons-logging.jar
 %%T%%/server/lib/commons-modeler.jar
-%%T%%/server/lib/jakarta-regexp-1.2.jar
+%%T%%/server/lib/jakarta-regexp-1.3.jar
 %%T%%/server/lib/jkconfig.jar
 %%T%%/server/lib/jkshm.jar
 %%T%%/server/lib/servlets-cgi.renametojar
@@ -84,6 +87,9 @@
 %%T%%/server/webapps/admin/WEB-INF/web.xml
 %%T%%/server/webapps/admin/admin.css
 %%T%%/server/webapps/admin/admin.xml
+@exec mkdir %D/%%T%%/server/webapps/admin/connector || true
+@exec mkdir %D/%%T%%/server/webapps/admin/defaultcontext || true
+@exec mkdir %D/%%T%%/server/webapps/admin/host || true
 %%T%%/server/webapps/admin/images/BlueTile.gif
 %%T%%/server/webapps/admin/images/Connector.gif
 %%T%%/server/webapps/admin/images/Context.gif
@@ -114,6 +120,8 @@
 %%T%%/server/webapps/admin/images/linelastnode.gif
 %%T%%/server/webapps/admin/images/linemiddlenode.gif
 %%T%%/server/webapps/admin/images/linevertical.gif
+@exec mkdir %D/%%T%%/server/webapps/admin/logger || true
+@exec mkdir %D/%%T%%/server/webapps/admin/realm || true
 %%T%%/server/webapps/admin/resources/dataSources.jspf
 %%T%%/server/webapps/admin/resources/envEntries.jspf
 %%T%%/server/webapps/admin/resources/listDataSources.jspf
@@ -124,6 +132,9 @@
 %%T%%/server/webapps/admin/resources/mailSessions.jspf
 %%T%%/server/webapps/admin/resources/resourceLinks.jspf
 %%T%%/server/webapps/admin/resources/userDatabases.jspf
+@exec mkdir %D/%%T%%/server/webapps/admin/context || true
+@exec mkdir %D/%%T%%/server/webapps/admin/server || true
+@exec mkdir %D/%%T%%/server/webapps/admin/service || true
 %%T%%/server/webapps/admin/tree-control-test.css
 %%T%%/server/webapps/admin/users/groups.jspf
 %%T%%/server/webapps/admin/users/listGroups.jspf
@@ -131,6 +142,7 @@
 %%T%%/server/webapps/admin/users/listUsers.jspf
 %%T%%/server/webapps/admin/users/roles.jspf
 %%T%%/server/webapps/admin/users/users.jspf
+@exec mkdir %D/%%T%%/server/webapps/admin/valve || true
 %%T%%/server/webapps/manager/WEB-INF/lib/catalina-manager.jar
 %%T%%/server/webapps/manager/WEB-INF/web.xml
 %%T%%/server/webapps/manager/html-manager-howto.html
@@ -146,6 +158,10 @@
 %%T%%/server/webapps/manager/manager-howto.html
 %%T%%/server/webapps/manager/manager.xml
 %%T%%/server/webapps/manager/xform.xsl
+@exec mkdir %D/%%T%%/shared || true
+@exec mkdir %D/%%T%%/shared/classes || true
+@exec mkdir %D/%%T%%/shared/lib || true
+@exec mkdir %D/%%T%%/temp || true
 %%T%%/webapps/ROOT/RELEASE-NOTES.txt
 %%T%%/webapps/ROOT/WEB-INF/classes/org/apache/jsp/index_jsp.class
 %%T%%/webapps/ROOT/WEB-INF/web.xml
@@ -474,9 +490,7 @@
 %%T%%/webapps/servlets-examples/reqinfo.html
 %%T%%/webapps/servlets-examples/reqparams.html
 %%T%%/webapps/servlets-examples/sessions.html
-%%T%%/webapps/tomcat-docs/BUILDING.txt
 %%T%%/webapps/tomcat-docs/RELEASE-NOTES.txt
-%%T%%/webapps/tomcat-docs/RUNNING.txt
 %%T%%/webapps/tomcat-docs/WEB-INF/web.xml
 %%T%%/webapps/tomcat-docs/appdev/build.xml.txt
 %%T%%/webapps/tomcat-docs/appdev/deployment.html
@@ -501,6 +515,8 @@
 %%T%%/webapps/tomcat-docs/appdev/sample/web/index.html
 %%T%%/webapps/tomcat-docs/appdev/source.html
 %%T%%/webapps/tomcat-docs/appdev/web.xml.txt
+%%T%%/webapps/tomcat-docs/build.xml
+%%T%%/webapps/tomcat-docs/building.html
 %%T%%/webapps/tomcat-docs/catalina/docs/api/allclasses-frame.html
 %%T%%/webapps/tomcat-docs/catalina/docs/api/allclasses-noframe.html
 %%T%%/webapps/tomcat-docs/catalina/docs/api/constant-values.html
@@ -1537,6 +1553,7 @@
 %%T%%/webapps/tomcat-docs/jspapi/stylesheet.css
 %%T%%/webapps/tomcat-docs/manager-howto.html
 %%T%%/webapps/tomcat-docs/mbeans-descriptor-howto.html
+%%T%%/webapps/tomcat-docs/printer/building.html
 %%T%%/webapps/tomcat-docs/printer/cgi-howto.html
 %%T%%/webapps/tomcat-docs/printer/changelog.html
 %%T%%/webapps/tomcat-docs/printer/class-loader-howto.html
@@ -1668,6 +1685,7 @@
 %%T%%/webapps/tomcat-docs/ssi-howto.html
 %%T%%/webapps/tomcat-docs/ssl-howto.html
 %%T%%/webapps/tomcat-docs/status.html
+@exec mkdir %D/%%T%%/work || true
 @dirrm %%T%%/work
 @dirrm %%T%%/webapps/tomcat-docs/servletapi/resources
 @dirrm %%T%%/webapps/tomcat-docs/servletapi/javax/servlet/http/class-use
Comment 4 Kang Liu 2003-09-22 14:36:06 UTC
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/www/jakarta-tomcat5/distinfo,v
retrieving revision 1.2
diff -u -r1.2 distinfo
--- distinfo	8 Sep 2003 14:12:22 -0000	1.2
+++ distinfo	22 Sep 2003 13:29:45 -0000
@@ -1 +1 @@
-MD5 (jakarta-tomcat-5.0.10.tar.gz) = 691fa83783bcd95b433b8699221724c5
+MD5 (jakarta-tomcat-5.0.12.tar.gz) = f74f15c7b5b6b0c80d4ac42c82c6e075
Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/www/jakarta-tomcat5/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- Makefile	8 Sep 2003 14:12:22 -0000	1.2
+++ Makefile	22 Sep 2003 13:29:46 -0000
@@ -6,9 +6,11 @@
 #
 
 PORTNAME=	jakarta-tomcat
-PORTVERSION=	5.0.10
+PORTVERSION=	5.0.12
 CATEGORIES=	www java
-MASTER_SITES=	http://www.apache.org/dist/jakarta/tomcat-5/v${PORTVERSION}-alpha/bin/
+MASTER_SITES=	http://www.apache.org/dist/jakarta/tomcat-5/v${PORTVERSION}-beta/bin/ \
+		http://apache.lemon4ssc.org/dist/jakarta/tomcat-5/v{PORTVERSION}-beta/bin \
+		http://distfiles.coredump.cn/
 
 MAINTAINER=	liukang@bjpu.edu.cn
 COMMENT=	Open-source Java web server by Apache, 5.0.x branch
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/www/jakarta-tomcat5/pkg-plist,v
retrieving revision 1.2
diff -u -r1.2 pkg-plist
--- pkg-plist	8 Sep 2003 14:12:22 -0000	1.2
+++ pkg-plist	22 Sep 2003 13:30:09 -0000
@@ -9,6 +9,7 @@
 %%T%%/bin/catalina.xml
 %%T%%/bin/commons-daemon.jar
 %%T%%/bin/commons-launcher.jar
+%%T%%/bin/commons-logging-api.jar
 %%T%%/bin/digest.sh
 %%T%%/bin/jsvc.tar.gz
 %%T%%/bin/launcher.properties
@@ -25,7 +26,6 @@
 %%T%%/common/lib/commons-collections.jar
 %%T%%/common/lib/commons-dbcp.jar
 %%T%%/common/lib/commons-el.jar
-%%T%%/common/lib/commons-logging-api.jar
 %%T%%/common/lib/commons-pool.jar
 %%T%%/common/lib/jasper-compiler.jar
 %%T%%/common/lib/jasper-runtime.jar
@@ -47,6 +47,8 @@
 %%T%%/conf/web.xml
 %%T%%/logs/stderr.log
 %%T%%/logs/stdout.log
+@exec mkdir %D/%%T%%/server || true
+@exec mkdir %D/%%T%%/server/classes || true
 %%T%%/server/lib/catalina-ant.jar
 %%T%%/server/lib/catalina-cluster.jar
 %%T%%/server/lib/catalina-i18n-es.jar
@@ -57,9 +59,8 @@
 %%T%%/server/lib/commons-beanutils.jar
 %%T%%/server/lib/commons-digester.jar
 %%T%%/server/lib/commons-fileupload-1.0.jar
-%%T%%/server/lib/commons-logging.jar
 %%T%%/server/lib/commons-modeler.jar
-%%T%%/server/lib/jakarta-regexp-1.2.jar
+%%T%%/server/lib/jakarta-regexp-1.3.jar
 %%T%%/server/lib/jkconfig.jar
 %%T%%/server/lib/jkshm.jar
 %%T%%/server/lib/servlets-cgi.renametojar
@@ -84,6 +85,9 @@
 %%T%%/server/webapps/admin/WEB-INF/web.xml
 %%T%%/server/webapps/admin/admin.css
 %%T%%/server/webapps/admin/admin.xml
+@exec mkdir %D/%%T%%/server/webapps/admin/connector || true
+@exec mkdir %D/%%T%%/server/webapps/admin/defaultcontext || true
+@exec mkdir %D/%%T%%/server/webapps/admin/host || true
 %%T%%/server/webapps/admin/images/BlueTile.gif
 %%T%%/server/webapps/admin/images/Connector.gif
 %%T%%/server/webapps/admin/images/Context.gif
@@ -114,6 +118,8 @@
 %%T%%/server/webapps/admin/images/linelastnode.gif
 %%T%%/server/webapps/admin/images/linemiddlenode.gif
 %%T%%/server/webapps/admin/images/linevertical.gif
+@exec mkdir %D/%%T%%/server/webapps/admin/logger || true
+@exec mkdir %D/%%T%%/server/webapps/admin/realm || true
 %%T%%/server/webapps/admin/resources/dataSources.jspf
 %%T%%/server/webapps/admin/resources/envEntries.jspf
 %%T%%/server/webapps/admin/resources/listDataSources.jspf
@@ -124,6 +130,9 @@
 %%T%%/server/webapps/admin/resources/mailSessions.jspf
 %%T%%/server/webapps/admin/resources/resourceLinks.jspf
 %%T%%/server/webapps/admin/resources/userDatabases.jspf
+@exec mkdir %D/%%T%%/server/webapps/admin/context || true
+@exec mkdir %D/%%T%%/server/webapps/admin/server || true
+@exec mkdir %D/%%T%%/server/webapps/admin/service || true
 %%T%%/server/webapps/admin/tree-control-test.css
 %%T%%/server/webapps/admin/users/groups.jspf
 %%T%%/server/webapps/admin/users/listGroups.jspf
@@ -131,6 +140,7 @@
 %%T%%/server/webapps/admin/users/listUsers.jspf
 %%T%%/server/webapps/admin/users/roles.jspf
 %%T%%/server/webapps/admin/users/users.jspf
+@exec mkdir %D/%%T%%/server/webapps/admin/valve || true
 %%T%%/server/webapps/manager/WEB-INF/lib/catalina-manager.jar
 %%T%%/server/webapps/manager/WEB-INF/web.xml
 %%T%%/server/webapps/manager/html-manager-howto.html
@@ -146,6 +156,10 @@
 %%T%%/server/webapps/manager/manager-howto.html
 %%T%%/server/webapps/manager/manager.xml
 %%T%%/server/webapps/manager/xform.xsl
+@exec mkdir %D/%%T%%/shared || true
+@exec mkdir %D/%%T%%/shared/classes || true
+@exec mkdir %D/%%T%%/shared/lib || true
+@exec mkdir %D/%%T%%/temp || true
 %%T%%/webapps/ROOT/RELEASE-NOTES.txt
 %%T%%/webapps/ROOT/WEB-INF/classes/org/apache/jsp/index_jsp.class
 %%T%%/webapps/ROOT/WEB-INF/web.xml
@@ -474,9 +488,7 @@
 %%T%%/webapps/servlets-examples/reqinfo.html
 %%T%%/webapps/servlets-examples/reqparams.html
 %%T%%/webapps/servlets-examples/sessions.html
-%%T%%/webapps/tomcat-docs/BUILDING.txt
 %%T%%/webapps/tomcat-docs/RELEASE-NOTES.txt
-%%T%%/webapps/tomcat-docs/RUNNING.txt
 %%T%%/webapps/tomcat-docs/WEB-INF/web.xml
 %%T%%/webapps/tomcat-docs/appdev/build.xml.txt
 %%T%%/webapps/tomcat-docs/appdev/deployment.html
@@ -501,6 +513,8 @@
 %%T%%/webapps/tomcat-docs/appdev/sample/web/index.html
 %%T%%/webapps/tomcat-docs/appdev/source.html
 %%T%%/webapps/tomcat-docs/appdev/web.xml.txt
+%%T%%/webapps/tomcat-docs/build.xml
+%%T%%/webapps/tomcat-docs/building.html
 %%T%%/webapps/tomcat-docs/catalina/docs/api/allclasses-frame.html
 %%T%%/webapps/tomcat-docs/catalina/docs/api/allclasses-noframe.html
 %%T%%/webapps/tomcat-docs/catalina/docs/api/constant-values.html
@@ -1537,6 +1551,7 @@
 %%T%%/webapps/tomcat-docs/jspapi/stylesheet.css
 %%T%%/webapps/tomcat-docs/manager-howto.html
 %%T%%/webapps/tomcat-docs/mbeans-descriptor-howto.html
+%%T%%/webapps/tomcat-docs/printer/building.html
 %%T%%/webapps/tomcat-docs/printer/cgi-howto.html
 %%T%%/webapps/tomcat-docs/printer/changelog.html
 %%T%%/webapps/tomcat-docs/printer/class-loader-howto.html
@@ -1668,6 +1683,7 @@
 %%T%%/webapps/tomcat-docs/ssi-howto.html
 %%T%%/webapps/tomcat-docs/ssl-howto.html
 %%T%%/webapps/tomcat-docs/status.html
+@exec mkdir %D/%%T%%/work || true
 @dirrm %%T%%/work
 @dirrm %%T%%/webapps/tomcat-docs/servletapi/resources
 @dirrm %%T%%/webapps/tomcat-docs/servletapi/javax/servlet/http/class-use
Comment 5 Ernst de Haan freebsd_committer 2003-09-25 09:27:58 UTC
State Changed
From-To: open->closed

Committed, thanks!